For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
      • GETList all Transactions
      • POSTCreate a Transaction
      • GETRetrieve a Transaction
      • DELRedact a Transaction
      • PATCHUpdate a Transaction
      • POSTAdd tag to Transaction
      • POSTCreate a Transaction label
      • POSTRemove tag from a Transaction
      • POSTSets tags on a Transaction
      • POSTRedact Transaction biometrics
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceTransactions

Redact a Transaction

DELETE
https://api.withpersona.com/api/v1/transactions/:transaction-id
DELETE
/api/v1/transactions/:transaction-id
$curl -X DELETE https://api.withpersona.com/api/v1/transactions/transaction-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "txn_26wUfNNK6Ze7qkwyK6kuj7RkZgdP",
4 "attributes": {
5 "status": "created",
6 "fields": {
7 "front-photo": {
8 "type": "file",
9 "value": null
10 },
11 "back-photo": {
12 "type": "file",
13 "value": null
14 },
15 "country-code": {
16 "type": "string",
17 "value": null
18 },
19 "selected-id-class": {
20 "type": "string",
21 "value": null
22 },
23 "center-photo": {
24 "type": "file",
25 "value": null
26 },
27 "selfie-compare-photo": {
28 "type": "file",
29 "value": null
30 }
31 },
32 "tags": [],
33 "created-at": "2021-09-29T18:00:00Z",
34 "updated-at": "2021-09-29T18:00:00Z"
35 },
36 "relationships": {
37 "transaction-type": {
38 "data": {
39 "type": "transaction-type",
40 "id": "txntp_N1687FCwgERcW3M88M5U4mAt"
41 }
42 },
43 "related-objects": {
44 "data": []
45 }
46 },
47 "type": "transaction"
48 }
49}

Permanently deletes personally identifiable information (PII) for a Transaction. The response indicates a successful redaction of the Transaction. Redaction of the Transaction’s associated child objects is done asynchronously and may take some time before all associated child objects are fully redacted. This action cannot be undone.

Was this page helpful?
Previous

Update a Transaction

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

transaction-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a Transaction object and (optionally) its related objects in included.

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.